COLLECTL2PCP(1)

NAME
collectl2pcp - import collectl data to a PCP archive

SYNOPSIS
collectl2pcp [-fv?] file [file ...] archive

DESCRIPTION
collectl2pcp reads raw collectl(1) data from each file and creates a new PCP archive with basename archive. Each input file may be gzipped (with .gz suffix). The PCP archive and at least one input file are required arguments.

OPTIONS
The available command line options are:

-f, --force
    Overwrite archive (and the index and meta files) if it already exists.

-v, --verbose
    Report progress and errors verbosely. This also reports a count of unsupported metric data in the collectl(1) input file(s), which is normally silently skipped.

-?, --help
    Display usage message and exit.

file [file ...]
    These are the collectl(1) input files. If more than one is given, they must contain data for the same host and be given in time-stamp chronological order on the command line. Note that when collectl(1) is run as a service, it normally creates files with date based names that will sort chronologically (e.g. /var/log/collectl/*.gz will be sorted correctly).

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(5).

For environment variables affecting PCP tools, see pmGetOptions(3).

SEE ALSO
collectl(1), PCPIntro(1), LOGIMPORT(3), pcp.conf(5), pcp.env(5) and PMNS(5).